PUT Update branding settings
Update organization branding settings (admin permission required)
Update organization branding settings (admin permission required)
Authorization
BearerAuth AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/settings/branding" \ -H "Content-Type: application/json" \ -d '{ "logo_url": "https://example.com", "logo_dark_url": "https://example.com", "favicon_url": "https://example.com", "primary_color": "Example primary color", "secondary_color": "Example secondary color", "accent_color": "Example accent color", "theme_mode": "light", "custom_css_url": "https://example.com", "font_family": "Example font family" }'{ "data": { "organization_id": "{organization_id}", "logo_url": "http://example.com", "primary_color": "string", "secondary_color": "string", "accent_color": "string", "custom_css": "string", "updated_at": "2019-08-24T14:15:22Z" }, "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}